## NAME

v.export - Converts binary vector files into formatted ASCII files for transfer to other computer systems.
(SCS GRASS Vector Program)

## SYNOPSIS

v.export
v.export help

## DESCRIPTION

This program performs all of the processes that are needed to convert binary vector files into formatted ASCII files.

It also creates support files:

  - an attribute flat file, which contains information for each area in the DLG file -- i.e., the DLG area number, the GRASS area label, and the GRASS category code (only created when exporting in DLG format);
  - an attribute file which contains the information from the dig_att file (only created when exporting ASCII vector format).

EXPORT FILES
After entering the command v.export, the user will be asked which type of file to export:

  Exports from GRASS Vector (v.digit) Format

  1 - ASCII DLG file from GRASS Vector Format
  2 - ASCII DIGIT file from GRASS Vector Format
  3 - ASCII SCS-GEF file from GRASS Vector Format
  4 - ASCII ARC/INFO file from GRASS Vector Format
  5 - ASCII DXF file from GRASS Vector Format

  If numbers 1-4 are chosen, v.export will respond with a request for the vector file name. After the user enters the file name the program proceeds to create the respective output format files.

  GRASS Vector to DLG File
  Converts binary vector files (such as those created by v.digit) to a DLG file and creates the attribute file. Both files are placed in the dlg directory under a user selected name; the attribute file has .att appended.

  GRASS Vector File into ASCII Vector File
  Converts a binary vector file into a readable ASCII file. Both files are placed int the dig_ascii directory under the same name as the given vector file, the attribute file has .att appended.

  GRASS Vector to SCS-GEF File
  Converts binary vector files to SCS-GEF files. Creates the SCS-GEF header, lines, text, and feature files. All files are created and placed in a $LOCATION/gef directory as a single UNIX file under a user selected name.
  The following is the SCS-GEF file structure:

      header record 1
         |      |
      header record n
      -head
      line record 1
         |      |
      line record n
      -line
      text record 1
         |      |
      text record n
      -text
      feature record 1
         |      |
      feature record n
      -feat

  The user will be required to use standard UNIX commands to separate this file into individual files as required by SCS-GEF specifications.

  GRASS Vector to ARC/INFO(generated) File
  Converts binary vector files to a "ARC ungenerate" format. A GRASS vector file to be exported to ARC/INFO must be either a line coverage (must contain only lines) or a polygon coverage (must contain only area edges). Both "ungenerate lines and points" files are created and are placed in a $LOCATION/arc directory under a user selected name.

  The binary vector name will be used to name the various files that will be created for export to ARC/INFO. In the case of a labelled polygon coverage, the following three files will be created: a lines file with the suffix .lin, a label-points file with the suffix .lab, and a label-text file with the suffix .txt.

  In the case of a line coverage the following two files will be created: a lines file with the suffix .lin, and a label-text file with the suffix .txt.

  An unlabelled polygon or line coverage will result in a lines file (.lin suffix) only. See the DATA FILE FORMATS section of v.import for more information on these files.

  GRASS Vector to DXF file
  Converts binary vector files to a "DXF" format.

  ## NOTES

  Support files must be built using the GRASS program v.support before exporting any vector file.

  Other ASCII formats are useful when importing/exporting data into and from GRASS. Such data files should be in ASCII format when transferred.

  ## SEE ALSO

  v.digit
  v.import v.out.arc
  v.out.ascii
  v.out.dlg
  v.out.dlg.scs
  v.out.dxf
  v.out.scsgef
  v.support

  ## AUTHOR

  R.L. Glenn, USDA, SCS, NHQ-CGIS

  Last changed: $Date: 2002/01/25 05:45:35 $